kind: Deployment
apiVersion: apps/v1
metadata:
  name: pingpong-app
spec:
  replicas: 2
  selector:
    matchLabels:
      app: pingpong-app
  template:
    metadata:
      labels:
        app: pingpong-app
    spec:
      containers:
        - name: pingpong-app
          image: quay.io/pflaeging/pingpong-app:latest
          resources:
            requests:
              cpu: "100m"
              memory: "256Mi"
            limits:
              cpu: "500m"
              memory: "512Mi"
          readinessProbe:
            tcpSocket:
              port: 5000
            timeoutSeconds: 1
            periodSeconds: 20
            successThreshold: 1
            failureThreshold: 3
            initialDelaySeconds: 20
          livenessProbe:
            tcpSocket:
              port: 5000
            timeoutSeconds: 1
            periodSeconds: 20
            successThreshold: 1
            failureThreshold: 3
            initialDelaySeconds: 20
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          imagePullPolicy: Always
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      dnsPolicy: ClusterFirst
      securityContext: {}
      schedulerName: default-scheduler
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 25%
      maxSurge: 25%
  revisionHistoryLimit: 10
  progressDeadlineSeconds: 600
